## hamster-applet 2.31.92

=== wscript ===
# -*- python -*-
VERSION = '2.31.92'
APPNAME = 'hamster-applet'
top = '.'
out = 'build'

import intltool, gnome

def configure(conf):
    conf.check_tool('python')
    conf.check_tool('misc')
    conf.check_python_version((2,4,2))

    conf.check_tool('gnome intltool dbus')
    conf.check_cfg(package='gnome-keybindings', variables='keysdir', mandatory=True)

    conf.define('ENABLE_NLS', 1)
    conf.define('HAVE_BIND_TEXTDOMAIN_CODESET', 1)

    conf.define('VERSION', VERSION)
    conf.define('GETTEXT_PACKAGE', "hamster-applet")
    conf.define('PACKAGE', "hamster-applet")
    conf.define('PYEXECDIR', conf.env["PYTHONDIR"]) # i don't know the difference

    # avoid case when we want to install globally (prefix=/usr) but sysconfdir
    # was not specified
    if conf.env['SYSCONFDIR'] == '/usr/etc':
        conf.define('SYSCONFDIR', '/etc')
    else:
        conf.define('SYSCONFDIR', conf.env['SYSCONFDIR'])

    conf.define('prefix', conf.env["PREFIX"]) # to keep compatibility for now

    conf.sub_config("help")


def set_options(opt):
    # options for disabling pyc or pyo compilation
    opt.tool_options("python")
    opt.tool_options("misc")
    opt.tool_options("gnu_dirs")


def build(bld):
    bld.install_files('${LIBDIR}/hamster-applet', 'src/hamster-applet', chmod = 0755)
    bld.install_files('${BINDIR}',
                      """src/hamster-time-tracker
                         src/hamster-cli
                         src/hamster-service""",
                      chmod = 0755)
    bld.symlink_as('${BINDIR}/gnome-time-tracker', 'hamster-time-tracker')


    # set correct flags in defs.py
    bld.new_task_gen("subst",
                     source= "src/hamster/defs.py.in",
                     target= "src/hamster/defs.py",
                     install_path="${PYTHONDIR}/hamster",
                     dict = bld.env
                    )

    bld.install_files('${PYTHONDIR}/hamster', 'src/hamster/*.py')
    bld.install_files('${PYTHONDIR}/hamster/widgets', 'src/hamster/widgets/*.py')

    bld.install_files('${DATADIR}/docky/helpers',
                      'src/docky_control/2.0/hamster_control.py',
                      chmod = 0755)
    bld.install_files('${DATADIR}/docky/helpers/metadata',
                      'src/docky_control/2.0/hamster_control.py.info')

    # docky 2.1+ changes python API, folder and other things (how amusing)
    bld.install_files('${DATADIR}/dockmanager/scripts',
                      'src/docky_control/2.1/hamster_control.py',
                      chmod = 0755)
    bld.install_files('${DATADIR}/dockmanager/metadata',
                      'src/docky_control/2.1/hamster_control.py.info')


    bld.new_task_gen("subst",
                     source= "org.gnome.hamster.service.in",
                     target= "org.gnome.hamster.service",
                     install_path="${DATADIR}/dbus-1/services",
                     dict = bld.env
                    )

    bld.add_subdirs("po help data")


    def post(ctx):
        # Postinstall tasks:
        # gnome.postinstall_scrollkeeper('hamster-applet') # Installing the user docs
        gnome.postinstall_schemas('hamster-applet') # Installing GConf schemas
        gnome.postinstall_icons() # Updating the icon cache

    bld.add_post_fun(post)


def copy_help(ctx):
    import os
    os.system('cp -R build/default/help/ .')


def push_release(ctx):
    """copies generated page files to sources so that they are packaged on dist
       then creates the tarball and pushes to git master
       TODO - this should depend and fail if distcheck fails. also it looks
              suspiciously non-native
    """
    tarball = dist(APPNAME, VERSION)

    import os
    os.system('scp %s tbaugis@master.gnome.org:/home/users/tbaugis' % tarball)
    os.system("ssh tbaugis@master.gnome.org 'install-module %s'" % tarball)


def release(ctx):
    """packaging a version"""
    import Scripting
    Scripting.commands += ['build', 'copy_help', 'push_release']

## hamster-applet 2.30.2

=== debian/changelog ===
hamster-applet (2.30.2-3) unstable; urgency=low

  * Recommend gnome-icon-theme. Closes: #604896.
  * 11_monitor.patch: patch from Scott Barker, backported from 2.32. Fix 
    file monitoring. Closes: #605036.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Dec 2010 18:39:37 +0100

hamster-applet (2.30.2-2) unstable; urgency=low

  * 10_colordepth.patch: patch from Étienne Loks to avoid crashes when 
    the colordepth is not 24 bits. Closes: #579723.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 13:03:24 +0100

hamster-applet (2.30.2-1) unstable; urgency=low

  * New upstream release.
  * Move to 3.0 source format and to quilt.
  * 02_absolute-imports.patch: patch from Stefano Rivera. Fix incorrect 
    use of relative imports. Closes: #586464.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Jun 2010 08:46:21 +0200

hamster-applet (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 09:55:20 +0200

hamster-applet (2.30.0.1-2) unstable; urgency=low

  * debian/control.in:
    + Add dependency on python-xdg (Closes: #578266).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Apr 2010 10:42:32 +0200

hamster-applet (2.30.0.1-1) unstable; urgency=low

  * New upstream stable release:
    + debian/patches/01_startup-fix.patch:
      - Updated to apply cleanly again.
    + debian/control.in:
      - Update build dependencies and dependencies.
  * debian/control.in:
    + Build depend on gnome-control-center-dev to get support
      for custom keybindings.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 10:37:59 +0200

hamster-applet (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fixes charts not appearing in some configurations. Closes: #550886.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2009 14:24:53 +0100

hamster-applet (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 22:01:54 +0200

hamster-applet (2.28.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes to idle detection (Closes: #538790).
  * debian/control.in:
    - added a depends on python-gnome2 needed at runtime.
    - removed python-glade2 depends, it's no more needed.
  * debian/copyright:
    - added missing copyright holders.
  * debian/patches/01_startup-fix.patch:
    - this patch removes the __file__ test at startup preventing
      hamster to fail when loading needed modules.
  * debian/rules:
    - added simple-patchsys.mk include.

 -- Andrea Veri <andrea.veri89@gmail.com>  Mon, 28 Sep 2009 17:06:17 +0200

hamster-applet (2.26.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add missing dependencies on python-dbus and python-gconf.
  * Replace the python-gnome2-desktop dependency by python-evolution and 
    python-gnomeapplet. Closes: #542324.

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release.
  * Add missing dependency on python-cairo.
  * Standards-Version is 3.8.3, no chanes needed.
  * Point Vcs-* to the unstable branch.
  * Add "Copyright" to the packaging copyright statement.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 29 Aug 2009 00:00:12 +0200

hamster-applet (2.26.2-1) unstable; urgency=low

  [ Pedro Fragoso ]
  * New upstream version 
  * Bump Standards to 3.8.1 (no changes)

  [ Josselin Mouette ]
  * Switch to python-support.
  * Add a preinst snippet to cleanup for broken pycentral versions.

 -- Josselin Mouette <joss@debian.org>  Sat, 27 Jun 2009 16:11:57 +0200

hamster-applet (2.24.3-1) unstable; urgency=low

  * New upstream bugfix and translation release.

 -- Josselin Mouette <joss@debian.org>  Thu, 05 Mar 2009 18:19:45 +0100

hamster-applet (2.24.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Adapt the package to pkg-gnome.
  * Require Python >= 2.5 for the sqlite bindings.

  [ Pedro Fragoso ]
  * Initial upload to Debian (Closes: #477972)
    - Thanks Tim Retout for the initial ITP and permission

  [ Loic Minier ]
  * Cleanup whitespaces.
  * Use /experimental instead of /unstable in Vcs-* fields.
  * Drop libxss-dev build-dep.

 -- Pedro Fragoso <ember@ubuntu.com>  Thu, 04 Dec 2008 17:47:03 +0000

hamster-applet (2.24.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (lp: #286459)
    - Properly handle first day of week for all locale values.
          Fixes #554256. (lp: #275709)

 -- Pedro Fragoso <ember@ubuntu.com>  Mon, 20 Oct 2008 11:46:39 +0100

hamster-applet (2.24.0-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #273327)
    - some more strings available for translation, but the main changes
      are the updated translations

 -- Pedro Fragoso <ember@ubuntu.com>  Mon, 22 Sep 2008 21:57:33 +0100

hamster-applet (2.23.92-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #262744)
    - fixed code so that it works also with Python 2.4
    - Fixed bug with tasks falling into unsorted category (bug #548914)
    - Fixed error when switching tasks with doubleclick
    - Bump up pygtk and libgtk to 2.12, pyobject to 2.14
      intltool to 0.37.1
    - Downgrade XS-python and python b-d and depends to 2.4
  * debian/control:
    - Change Homepage field to GNOME url

 -- Pedro Fragoso <ember@ubuntu.com>  Mon, 08 Sep 2008 17:37:05 +0100

hamster-applet (2.23.90-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #255179)

 -- Pedro Fragoso <ember@ubuntu.com>  Wed, 06 Aug 2008 01:04:12 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: hamster-applet
Section: gnome
Priority: optional
Maintainer: Pedro Fragoso <ember@ubuntu.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs,
               debhelper (>= 5.0.38),
               gnome-pkg-tools,
               python-support (>= 0.7.1),
               python-dev (>= 2.5),
               pkg-config,
               intltool (>= 0.37.1),
               gnome-doc-utils (>= 0.17.3),
               libgtk2.0-dev (>= 2.12.0),
               python-gtk2-dev (>= 2.12.0),
               python-gnome2-dev (>= 2.10.0),
               python-gnome2-desktop-dev (>= 2.10.0),
               python-gobject-dev (>= 2.14.0),
               gnome-control-center-dev
Standards-Version: 3.8.4
Homepage: http://live.gnome.org/ProjectHamster
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/hamster-applet
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/hamster-applet
XS-Python-Version: >= 2.5

Package: hamster-applet
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python (>= 2.5),
         python-cairo,
         python-gtk2 (>= 2.12.0),
         python-gconf,
         python-gnomeapplet (>= 2.10.0),
         python-evolution (>= 2.10.0),
         python-dbus,
         python-gobject (>= 2.14.0),
         python-wnck,
         python-gnome2,
         python-notify,
         python-xdg
Recommends: python-notify,
            gnome-icon-theme
Description: time tracking applet for GNOME
 Project Hamster helps you to keep track of how much time you spend on various
 activities during the day.  Whenever you move from one task to another, you
 change your current activity in the GNOME applet.
 .
 It can present graphical statistics of how long you have spent on each task,
 and may be useful for project management or keeping employee timesheets.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

binary-install/hamster-applet::
	dh_pysupport -phamster-applet

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/hamster-applet/([\d\.]+)[02468]/ \
        hamster-applet-(.*)\.tar\.gz

## hamster-applet 2.91.3%2Bgit20120514.b9fec3e1

=== help/wscript ===
#!/usr/bin/env python

# Mallard waf adaptor written by Ulrik Sverdrup
# may be distributed, changed, used, etc freely for any purpose

## Mallard functionality definitions ##
import os
import Task
import TaskGen

def _read_makefile_am(filename):
	"read a Makefile.am file for DOC_* variable definitions, return a dict"
	varstring = open(filename).read()
	varstring = varstring.replace("\\\n", " ")
	varlines = [L for L in varstring.splitlines() if L.startswith("DOC")]
	return dict(tuple(map(str.strip, var.split("=", 1))) for var in varlines)

def init_mallard(self):
	mf_am = self.path.find_resource(self.variable_definitions)
	DOC_VAR = _read_makefile_am(mf_am.abspath())

	require_vars = "DOC_ID DOC_LINGUAS DOC_PAGES".split()
	have_vars = set(var for var in DOC_VAR if DOC_VAR[var])
	missing_vars = set(require_vars).difference(have_vars)
	if missing_vars:
		print "Missing DOC variable declarations in %s:" % (mf_am.abspath())
		print "\n".join(missing_vars)

	self.bld.env.update(DOC_VAR)
	self.default_install_path='${PREFIX}/share/gnome/help/${DOC_ID}'

def apply_mallard(self):
	bld = self.bld
	lst = self.to_list(bld.env["DOC_LINGUAS"])
	cnode = self.path.find_dir("C")
	self.bld.rescan(cnode)

	pages = [p for p in self.bld.cache_dir_contents[cnode.id]
			if (os.path.splitext(p)[-1].lower()) == ".page"]

	# Check if the declared page list is consistent
	declared_pages = self.to_list(bld.env["DOC_PAGES"])
	missing_pages = set(pages).difference(declared_pages)
	if missing_pages:
		print "Warning: Some pages not declared:"
		print "\n".join(missing_pages)

	for lang in lst:
		node = self.path.find_resource("%s/%s.po" % (lang, lang))
		for page in pages:
			tsk = self.create_task('xml2po')
			out = self.path.find_or_declare('%s/%s' % (lang, page))
			src = self.path.find_resource('C/%s' % page)
			tsk.set_inputs([node,src])
			tsk.set_outputs(out)
			tsk.install_path = os.path.join(self.install_path, lang)
	if bld.is_install:
		for page in pages:
			out = "%s/%s" % (cnode.abspath(), page)
			instdir = os.path.join(self.install_path, "C")
			bld.install_files(instdir, out)

Task.simple_task_type('xml2po', '${XML2PO} ${XML2POFLAGS} ${SRC} > ${TGT}',
		color='BLUE')

TaskGen.feature("mallard")(init_mallard)
TaskGen.feature("mallard")(apply_mallard)
TaskGen.after('init_mallard')(apply_mallard)

## End Mallard functionality ##


# Build Configuration

def set_options(opt):
	pass

def configure(conf):
	xml2po = conf.find_program('xml2po', var='XML2PO')
	conf.env['XML2POFLAGS'] = '-mmallard -p'

def build(bld):
	if bld.env["XML2PO"]:
		task = bld.new_task_gen(
			features="mallard",
			variable_definitions="Makefile.am",
		)

## hamster-applet 2.91.3+git20110714.9aefd7

=== wscript ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # -*- python -*-
-VERSION = '2.31.92'
+VERSION = '2.91.3'
 APPNAME = 'hamster-applet'
 top = '.'
 out = 'build'
 
 import intltool, gnome
+import os
 
 def configure(conf):
     conf.check_tool('python')
@@ -61,6 +62,7 @@
 
     bld.install_files('${PYTHONDIR}/hamster', 'src/hamster/*.py')
     bld.install_files('${PYTHONDIR}/hamster/widgets', 'src/hamster/widgets/*.py')
+    bld.install_files('${PYTHONDIR}/hamster/lib', 'src/hamster/lib/*.py')
 
     bld.install_files('${DATADIR}/docky/helpers',
                       'src/docky_control/2.0/hamster_control.py',
@@ -74,7 +76,6 @@
                       chmod = 0755)
     bld.install_files('${DATADIR}/dockmanager/metadata',
                       'src/docky_control/2.1/hamster_control.py.info')
-
 
     bld.new_task_gen("subst",
                      source= "org.gnome.hamster.service.in",
@@ -92,11 +93,11 @@
         gnome.postinstall_schemas('hamster-applet') # Installing GConf schemas
         gnome.postinstall_icons() # Updating the icon cache
 
+
     bld.add_post_fun(post)
 
 
 def copy_help(ctx):
-    import os
     os.system('cp -R build/default/help/ .')

=== debian/changelog ===
hamster-applet (2.91.3+git20110714.9aefd7-2ubuntu2) precise; urgency=low

  * debian/patches/03-check-self-app-window.patch: verify that self.app.window
    is not None (LP: #918487)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 26 Jan 2012 08:53:18 -0600

hamster-applet (2.91.3+git20110714.9aefd7-2ubuntu1) precise; urgency=low

  * Resynchronize with Debian. Since the Debian and Ubuntu packages diverged
    for a long time, this changelog entry represents the status of the Ubuntu
    delta as compared to the hamster package shipped in 11.10. Remaining
    changes:
    - 01-dont-fail-on-applet-import.patch: if import of gnomeapplet fails,
    default to upper panel orientation. This is needed for indicator-hamster
    - 02-dont-traceback-on-quit.patch: don't traceback if saving to gconf
      fails, but instead indicate to the caller that there was an error
    - debian/control: Remove Vcs-Bzr link (Ubuntu developers should use
      lp:ubuntu/hamster-applet instead)
    - Drop the following, no longer needed:
      + debian/patches/02_lp705482.patch (included upstream)
      + debian/patches/03-dont-install-applet.patch (Debian packaging
        addresses it)
      + debian/patches/06-lp799809.patch (included upstream)
      + debian/control: drop changes to Homepage and Description
      + debian/rules: drop changes for quilt since we are now source format v3
        and Debian packaging is adjusted for waf
  * debian/rules: don't remove applet.py and applet.ui as they are needed by
    indicator-hamster (continue to not install the other files)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Nov 2011 11:41:53 -0600

hamster-applet (2.91.3+git20110714.9aefd7-2) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper compatibility to 8.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Add Build-Depends on gnome-control-center-dev for gnome-keybindings.pc.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 16:51:11 +0200

hamster-applet (2.91.3+git20110714.9aefd7-1) experimental; urgency=low

  * New upstream git snapshot.
  * Remove obsolete preinst.
  * Only suggest python-evolution since it is going away.
  * Explicitly remove the GNOME panel applet files, it is now a 
    standalone only. Drop dependency on python-gnomeapplet accordingly.
    Closes: #638130.
  * Drop some useless build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Fri, 19 Aug 2011 21:02:49 +0200

hamster-applet (2.32.1-1) unstable; urgency=low

  * Team upload.

  [ Krzysztof Klimonda ]
  * New upstream release. 
  * debian/copyright:
    - update copyright info.
  * debian/patches:
    - remove all patches applied upstream
  * debian/rules:
    - update rules to support new build system using waf 
  * debian/control:
    - make hamster-applet Architecture: all as it doesn't ship any
      architecture dependent files anymore.

  [ Raphaël Hertzog ]
  * Fix watch file.
  * Drop python-notify from Depends, Recommends is enough.
  * Change build-dep on python-dev into a build-dep on python. It's
    enough for an arch all package.
  * Use dh_python2 instead of python-support.
  * Upgrade Standards-Version to 3.9.2.
  * Drop ${shlibs:Depends} not needed for an arch all package.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 13 Jun 2011 10:49:43 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: hamster-applet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               gnome-pkg-tools,
               python (>= 2.6.6-3~),
               pkg-config,
               intltool (>= 0.37.1),
               gnome-doc-utils (>= 0.17.3),
               gnome-control-center-dev
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/ProjectHamster
X-Python-Version: >= 2.5

Package: hamster-applet
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python (>= 2.5),
         python-cairo,
         python-gtk2 (>= 2.12.0),
         python-gconf,
         python-dbus,
         python-gobject (>= 2.14.0),
         python-wnck,
         python-gnome2,
         python-xdg
Recommends: python-notify,
            gnome-icon-theme
Suggests: python-evolution
Description: time tracking applet for GNOME
 Project Hamster helps you to keep track of how much time you spend on various
 activities during the day.  Whenever you move from one task to another, you
 change your current activity in the GNOME applet.
 .
 It can present graphical statistics of how long you have spent on each task,
 and may be useful for project management or keeping employee timesheets.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/waf.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

binary-install/hamster-applet::
	cd debian/hamster-applet && \
		rm -rf usr/lib/bonobo usr/lib/hamster-applet && \
		rm -f usr/share/applications/hamster-applet.desktop
	dh_python2 -phamster-applet
	dh_gconf -phamster-applet

## hamster-applet 2.91.3+git20120211.9ebb889

=== debian/changelog ===
hamster-applet (2.91.3+git20120211.9ebb889-2) unstable; urgency=low

  * Don't remove complete usr/lib/hamster-applet/ directory along with the
    D-Bus services but only the hamster-applet script. Closes: #659567

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Feb 2012 09:43:50 +0100

hamster-applet (2.91.3+git20120211.9ebb889-1) unstable; urgency=low

  * New upstream Git snapshot.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Feb 2012 22:16:40 +0100

hamster-applet (2.91.3+git20120204.b11571c.dfsg-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gobject-2.
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream Git snapshot.
  * Repack sources and ship an unpacked waf binary following the instructions
    from http://wiki.debian.org/UnpackWaf. Closes: #654474
  * Remove generated .pyc files during clean.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Feb 2012 15:52:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: hamster-applet
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
                gnome-pkg-tools,
@@ -19,6 +18,8 @@
                gnome-control-center-dev
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/ProjectHamster
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/hamster-applet
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/hamster-applet
 X-Python-Version: >= 2.5
 
 Package: hamster-applet
@@ -30,7 +31,7 @@
          python-gtk2 (>= 2.12.0),
          python-gconf,
          python-dbus,
-         python-gobject (>= 2.14.0),
+         python-gobject-2 (>= 2.14.0),
          python-wnck,
          python-gnome2,
          python-xdg

## hamster-applet 2.91.3+git20120514.b9fec3e1

=== wscript ===
--- 
+++ 
@@ -43,11 +43,17 @@
 
 
 def build(bld):
-    bld.install_files('${LIBDIR}/hamster-applet', 'src/hamster-applet', chmod = 0755)
+    bld.install_files('${LIBDIR}/hamster-applet',
+                      """src/hamster-applet
+                         src/hamster-service
+                         src/hamster-windows-service
+                      """,
+                      chmod = 0755)
+    
     bld.install_files('${BINDIR}',
                       """src/hamster-time-tracker
                          src/hamster-cli
-                         src/hamster-service""",
+                      """,
                       chmod = 0755)
     bld.symlink_as('${BINDIR}/gnome-time-tracker', 'hamster-time-tracker')
 
@@ -80,6 +86,12 @@
     bld.new_task_gen("subst",
                      source= "org.gnome.hamster.service.in",
                      target= "org.gnome.hamster.service",
+                     install_path="${DATADIR}/dbus-1/services",
+                     dict = bld.env
+                    )
+    bld.new_task_gen("subst",
+                     source= "org.gnome.hamster.Windows.service.in",
+                     target= "org.gnome.hamster.Windows.service",
                      install_path="${DATADIR}/dbus-1/services",
                      dict = bld.env
                     )

=== debian/changelog ===
hamster-applet (2.91.3+git20120514.b9fec3e1-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Laurent Bigonville ]
  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages

  [ Michael Biebl ]
  * Orphan package.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Jan 2017 10:02:36 +0100

hamster-applet (2.91.3+git20120514.b9fec3e1-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Jun 2012 20:53:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: hamster-applet
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
                gnome-pkg-tools,
@@ -17,9 +15,9 @@
                gnome-doc-utils (>= 0.17.3),
                gnome-control-center-dev
 Standards-Version: 3.9.2
-Homepage: http://live.gnome.org/ProjectHamster
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/hamster-applet
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/hamster-applet
+Homepage: https://github.com/projecthamster
+#Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/hamster-applet
+#Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/hamster-applet
 X-Python-Version: >= 2.5
 
 Package: hamster-applet
@@ -35,8 +33,7 @@
          python-wnck,
          python-gnome2,
          python-xdg
-Recommends: python-notify,
-            gnome-icon-theme
+Recommends: python-notify
 Suggests: python-evolution
 Description: time tracking applet for GNOME
  Project Hamster helps you to keep track of how much time you spend on various

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,12 @@
 
 binary-install/hamster-applet::
 	cd debian/hamster-applet && \
-		rm -rf usr/lib/bonobo usr/lib/hamster-applet && \
-		rm -f usr/share/applications/hamster-applet.desktop
+		rm -rf usr/lib/bonobo && \
+		rm -f usr/lib/hamster-applet/hamster-applet && \
+		rm -f usr/share/applications/hamster-applet.desktop && \
+		find -name applet.py -o -name applet.ui -delete
 	dh_python2 -phamster-applet
 	dh_gconf -phamster-applet
+
+clean::
+	find wafadmin -name "*.pyc" -delete
